Bug 249011 - CVE-2003-0618 leaks file existance information
Summary: CVE-2003-0618 leaks file existance information
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard: impact=low,public=20030730,source=ven...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 11:49 UTC by Mark J. Cox
Modified: 2008-05-30 16:23 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006:0294
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 16:23:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2007-07-20 11:49:53 UTC
Clone for RHEL3 tracking

+++ This bug was initially created as a clone of Bug #114923 +++

CAN-2003-0618 was reported 2003Jul29 to Debian. You can test for the
existance of files even if you don't have permission to do so by using
the suidperl command.

        $ su
        # mkdir ~root/delme; chmod 700 ~root/delme;touch ~root/delme/1
        # exit
        $ suidperl ~root/delme/1
        Script is not setuid/setgid in suidperl
        $ suidperl ~root/delme/2
        Can't open perl script "/root/delme/2": No such file ...

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=220486
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=203426

        Affects: 2.1AS 2.1ES 2.1AW 2.1WS (5.6.1) 
        Affects: 3AS 3ES 3WS (5.8.0) 

Debian released an errata for this issue in Feb 2004.

-- Additional comment from mjc@redhat.com on 2004-02-09 10:40 EST --
Actually this doesn't affect RHEL3 because the setuid perl package was
not shipped.

-- Additional comment from bressers@redhat.com on 2005-05-04 18:04 EST --
I did some verification work on this one.  This issue does affect RHEL3.  We may
not have shipped perl-suidperl in the past, we do now.

-- Additional comment from jvdias@redhat.com on 2006-04-21 21:24 EST --
fixed with perl-5.6.1-38.EL2_1

-- Additional comment from rnorwood@redhat.com on 2006-10-01 19:33 EST --
assigning to rnorwood@redhat.com

-- Additional comment from mjc@redhat.com on 2007-07-20 07:47 EST --
that version isn't shipped yet, opening and marking MODIFIED

Comment 1 Tomas Hoger 2008-05-30 16:05:51 UTC
This issue was fixed in perl-5.8.0-93.EL3

* Mon Apr 24 2006 Jason Vas Dias <jvdias@redhat.com> - 2:5.8.0-93.EL3

- fix minor security issue CVE-2003-0618: suidperl could be used to
  reveal locations of files in hidden directories


https://rhn.redhat.com/errata/RHBA-2006-0294.html


Note You need to log in before you can comment on or make changes to this bug.